{% extends 'base.html.twig' %}

{% block title %}Booking Test App{% endblock %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block body %}
    <div class="loading">Loading&#8230;</div>

    <div class="modal" id="weAreClosedModal" tabindex="-1" aria-labelledby="newBookingModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Zárva vagyunk!</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>Az Ön által választott dátumon sajnos zárva tartunk. Megértését köszönjük.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Értettem</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="newBookingModal" tabindex="-1" aria-labelledby="newBookingModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="booking-form">
                    <div class="modal-header">
                        <h5 class="modal-title" id="newBookingModalLabel">
                            Új időpont rögzítése
                            <div>Nyitvatartás: <span id="opening-time-str"></span></div>
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-12">
                                <div class="time-div">
                                    <div class="mb-3">
                                        <label for="date" class="form-label">Dátum</label>
                                        <input type="date" class="form-control" id="date" name="date" readonly>
                                    </div>
                                    <div class="mb-3">
                                        <label for="start" class="form-label">Kezdőidőpont</label>
                                        <input type="time" class="form-control" id="start" name="start">
                                    </div>
                                    <div class="mb-3">
                                        <label for="end" class="form-label">Végidőpont</label>
                                        <input type="time" class="form-control" id="end" name="end">
                                    </div>
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Páciens neve</label>
                                        <input type="text" class="form-control" id="name" name="name">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Mégsem</button>
                        <button type="submit" class="btn btn-primary save-btn">Mentés</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div id="calendar-holder"></div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="{{ asset('booking.js') }}"></script>
{% endblock %}
